Refresh profile fingerprint
curl --request PATCH \
--url https://api.gologin.com/browser/fingerprints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"browsersIds": [
"6200f55e7685342e170dc531"
]
}
'import requests
url = "https://api.gologin.com/browser/fingerprints"
payload = { "browsersIds": ["6200f55e7685342e170dc531"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({browsersIds: ['6200f55e7685342e170dc531']})
};
fetch('https://api.gologin.com/browser/fingerprints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "<string>",
"role": "<string>",
"id": "<string>",
"notes": "<string>",
"browserType": "<string>",
"lockEnabled": true,
"timezone": {},
"navigator": {
"userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/134.0.6998.36 Safari/537.36",
"resolution": "1920x1080",
"language": "en-US",
"platform": "Win32",
"hardwareConcurrency": 4,
"deviceMemory": 4,
"maxTouchPoints": 10
},
"geolocation": {},
"debugMode": true,
"canBeRunning": true,
"isRunning": true,
"proxy": {},
"proxyType": "<string>",
"proxyRegion": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastActivity": "2023-11-07T05:31:56Z",
"userChromeExtensions": [
"<string>"
],
"permissions": {
"transferProfile": true,
"transferToMyWorkspace": true,
"shareProfile": true,
"manageFolders": true,
"editProfile": true,
"deleteProfile": true,
"cloneProfile": true,
"exportProfile": true,
"updateUA": true,
"addVpnUfoProxy": true,
"runProfile": true,
"runProfileWeb": true,
"viewProfile": true,
"addProfileTag": true,
"removeProfileTag": true,
"viewShareLinks": true,
"createShareLinks": true,
"updateShareLinks": true,
"deleteShareLinks": true,
"viewCustomExtensions": true
},
"remoteOrbitaUrl": "<string>",
"webGLMetadata": {
"vendor": "Google Inc. (Intel)",
"renderer": "ANGLE (Intel, Intel(R) HD Graphics 630 Direct3D11 vs_5_0 ps_5_0, D3D11)",
"mode": "mask"
},
"isM1": true,
"isPinned": true,
"updateUALastChosenBrowserV": "<string>",
"isRunDisabled": true,
"runDisabledReason": "unpaid-share",
"isWeb": true,
"os": {},
"osSpec": {},
"host": "<string>",
"port": 123,
"status": "<string>",
"folders": [
"<string>"
],
"sharedEmails": [
"<string>"
],
"shareId": "<string>",
"chromeExtensions": [
"<string>"
],
"tags": [
"<string>"
],
"proxyEnabled": true,
"isAutoGenerated": true,
"isBookmarksSynced": true,
"defaultProps": {
"profileNameIsDefault": true,
"profileNotesIsDefault": true
},
"autoLang": true,
"fonts": {
"families": [
"Arial",
"Helvetica",
"Verdana"
],
"enableMasking": true,
"enableDomRect": true
},
"facebookAccountData": {
"date": "<string>",
"token": "<string>",
"fbIdAccount": "<string>",
"email": "<string>",
"password": "<string>",
"googleDriveUrl": "<string>",
"fb2faToolUrl": "<string>",
"fbUrl": "<string>",
"uaVersion": "<string>",
"cookies": "<string>",
"notParsedData": [
"<string>"
]
},
"order": 123
}
]Profile
Refresh profile fingerprint
Refreshes fingerprints for the profiles. It will change profile fingerprint with new random one or from template
PATCH
/
browser
/
fingerprints
Refresh profile fingerprint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Array of profile IDs that you want to update.
Example:
["6200f55e7685342e170dc531"]Response
200 - application/json
Show child attributes
Show child attributes
Date string
Date string
Date string
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
unpaid-share Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I